%define name gnome-netstatus
%define version 2.28.2
%define release %mkrel 1
#%define __libtoolize /bin/true

Summary: GNOME network information applet
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: libglade2.0-devel
BuildRequires: gtk+2-devel >= 2.3.1
BuildRequires: rarian
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
BuildRequires: perl-XML-Parser
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1

%description
This package contains an applet which provides information
about a network interface on your panel.

#german
%description -l de
Dieses Paket enthält ein Applet, das Informationen liefert,
über eine Netzwerk-Schnittstelle auf dem Panel. 

#french
%description -l fr
Ce paquet contient une petite application qui fournit des informations
sur une interface réseau sur votre panneau.

#spanish
%description -l es
Este paquete contiene un applet que proporciona información
acerca de una interfaz de red en el panel.

#polish
%description -l pl
Aplet wyświetlający stan połączeń sieciowych na panelu GNOME.

#serbian
%description -l sr
Овај пакет садржи аплет који обезбеђује информације о
о мрежни интерфејс на вашем панелу.

#dutch
%description -l nl
Dit pakket bevat een applet die informatie geeft
over een netwerk interface op uw paneel.



%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std _ENABLE_SK=false
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas netstatus
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas netstatus

%postun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/gnome-netstatus-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-netstatus
%dir %{_datadir}/omf/%name
%dir %{_datadir}/omf/%name/%name-C.omf
%_datadir/icons/hicolor/48x48/apps/gnome-netstatus*


%changelog
* Thu Sep 30 2010 siamer <siamer@wp.pl> 2.28.2-1pclos2010
- new version
- archive in xz

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.28.0-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Mon Oct 05 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri Oct 31 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.12.2-1pclos2007
- New version 2.12.2

* Sun Jun 22 2008 Slick50 <slick50@linuxgator.org> 2.12.1-1pclos2007
- Initial package
